Subject: FS layout in Linux

From: [email-masked]
Date: Fri, 07 Feb 1992 10:03:28 EST

I thought that Theodore Ts'o ([email-masked]) made a very good
point about a large number of hierarchies off root being a problem.
Any decisions "we" make have to consider the typical target platform.
And I agree also agree with his statement that sym links can be a
source of confusion.  We use the following for local stuff:

On our two small AIX and Ultrix boxes we have the following scheme

/usr/local/app/
/usr/local/users/
/usr/local/bin/
/usr/local/lib/
/usr/local/etc/
/usr/local/README

We try to stick ALL local stuff as possible somewhere under /usr/local.  
It then becomes quite easy to put all local (frequently changing stuff)
in the same partition.   It also simplifies backups and upgrades - we
take extra care to backup /usr/local.

I don't have strong opinions on the fs hierarchy - I'm not pushing our
this particular scheme - I just thought I add another possibility into
the melting pot.

The one thing I would like to push is some strategic (perhaps
standardised) placement of README files around the hierarchy where I
can find out the logic and convensions contained within (plus misc
general notes).
________________
Michael Hamilton, Computer Services Section, Wellington City Council, P.O. Box
2199, Wellington, New Zealand. Phone: (64) (4) 801-3317 FAX: (64) (4) 801-3020
Domain: [email-masked]          PSImail: PSI%0530147000090::HAMILTON